Go to the latest version of this document.

# ``twisted`.`protocols`.`haproxy`.`_v2parser``

module documentation
(source)

IProxyParser implementation for version two of the PROXY protocol.

Class | `NetFamily` | Values for the 'family' field.
Class | `NetProtocol` | Values for 'protocol' field.
Class | `V2Parser` | PROXY protocol version two header parser.
Constant | `_HIGH` | Undocumented
Constant | `_LOCALCOMMAND` | Undocumented
Constant | `_LOW` | Undocumented
Constant | `_PROXYCOMMAND` | Undocumented

_HIGH: `int` = (source)

Undocumented

Value

    240

_LOCALCOMMAND: `str` = (source)

Undocumented

Value

    'LOCAL'

_LOW: `int` = (source)

Undocumented

Value

    15

_PROXYCOMMAND: `str` = (source)

Undocumented

Value

    'PROXY'